﻿Public Class Form1
    Private Sub btnPickFile_Click() Handles btnPickFile.Click
        If dlgSaveData.ShowDialog() = Windows.Forms.DialogResult.OK Then
            MessageBox.Show(dlgSaveData.FileName)
        End If
    End Sub

    ' Ensure that the user selects a .dat file.
    Private Sub dlgSaveData_FileOk(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles dlgSaveData.FileOk
        If Not dlgSaveData.FileName.EndsWith(".dat") Then
            MessageBox.Show(
                "File " & dlgSaveData.FileName & " is not a .dat file",
                 "Invalid File Type",
                 MessageBoxButtons.OK,
                 MessageBoxIcon.Exclamation)
            e.Cancel = True
        End If
    End Sub
End Class
