﻿Imports System.Runtime.Serialization

Public Class Form1
    Private Sub btnThrowException_Click() Handles btnThrowException.Click
        Try
            Throw New ObjectExpiredException("This Customer object has expired.")
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub
End Class

Public Class ObjectExpiredException
    Inherits System.ApplicationException

    ' No parameters. Use a default message.
    Public Sub New()
        MyBase.New("This object has expired")
    End Sub

    ' Set the message.
    Public Sub New(ByVal new_message As String)
        MyBase.New(new_message)
    End Sub

    ' Set the message and inner exception.
    Public Sub New(ByVal new_message As String, ByVal inner_exception As Exception)
        MyBase.New(new_message, inner_exception)
    End Sub

    ' Include SerializationInfo object and StreamingContext objects.
    Public Sub New(ByVal info As SerializationInfo,
      ByVal context As StreamingContext)
        MyBase.New(info, context)
    End Sub
End Class
