﻿Public Class InvisibleControl
    Private Sub InvisibleControl_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        DrawControl(e.Graphics)
    End Sub

    Private Sub InvisibleControl_Resize() Handles Me.Resize
        Me.Invalidate()
    End Sub

    ' Draw an ellipse.
    Private Sub DrawControl(ByVal gr As Graphics)
        Me.Visible = Me.DesignMode

        gr.Clear(Me.BackColor)
        Dim pen_wid As Integer =
            (Me.ClientSize.Width + Me.ClientSize.Height) \ 20

        Using the_pen As New Pen(Me.ForeColor, pen_wid)
            gr.DrawEllipse(the_pen,
                pen_wid \ 2, pen_wid \ 2,
                Me.ClientSize.Width - pen_wid,
                Me.ClientSize.Height - pen_wid)
        End Using
    End Sub
End Class
