﻿Public Class Form1
    ' Start a drag.
    Private Sub lblDragSource_MouseDown() Handles lblDragSource.MouseDown
        lblDragSource.DoDragDrop("Here's the drag data!", DragDropEffects.Copy)
    End Sub

    ' Make sure the drag is coming from lblDragSource.
    Private Sub lblDropTarget_DragEnter(ByVal sender As Object,
     ByVal e As System.Windows.Forms.DragEventArgs) Handles lblDropTarget.DragEnter
        ' See if the drag data includes text.
        If e.Data.GetDataPresent("Text") Then
            e.Effect = DragDropEffects.Copy
        Else
            e.Effect = DragDropEffects.None
        End If
    End Sub

    ' Display the dropped data.
    Private Sub lblDropTarget_DragDrop(ByVal sender As Object,
     ByVal e As System.Windows.Forms.DragEventArgs) _
     Handles lblDropTarget.DragDrop
        MessageBox.Show(e.Data.GetData("Text").ToString)
    End Sub
End Class
