﻿Public Class Form1
    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles MyBase.Paint
        e.Graphics.SmoothingMode = Drawing2D.SmoothingMode.HighQuality

        ' Define the Bezier curve's control points.
        Dim pts() As Point = {
            New Point(10, 10),
            New Point(200, 10),
            New Point(50, 200),
            New Point(200, 150)
        }

        ' Connect the points with dashed lines.
        Using dashed_pen As New Pen(Color.Black, 0)
            dashed_pen.DashStyle = Drawing2D.DashStyle.Custom
            dashed_pen.DashPattern = New Single() {4, 4}
            For i As Integer = 0 To 2
                e.Graphics.DrawLine(dashed_pen, pts(i), pts(i + 1))
            Next i
        End Using

        ' Draw the Bezier curve.
        Using bez_pen As New Pen(Color.Black, 3)
            e.Graphics.DrawBezier(bez_pen, pts(0), pts(1), pts(2), pts(3))
        End Using
    End Sub
End Class
