﻿Public Class Form1
    Private Sub btnFormColor_Click() Handles btnFormColor.Click
        dlgColor.Reset()

        dlgColor.Color = My.Settings.clrForm
        If dlgColor.ShowDialog() = Windows.Forms.DialogResult.OK Then
            My.Settings.clrForm = dlgColor.Color

            ' Explicitly save if you want to protect against crashes.
            My.Settings.Save()
        End If
    End Sub

    Private Sub btnButtonColor_Click() Handles btnButtonColor.Click
        dlgColor.Color = My.Settings.clrButton
        If dlgColor.ShowDialog() = Windows.Forms.DialogResult.OK Then
            ' Cannot set My.Settings.clrButton because it has
            ' application scope and is therefore read-only.
            btnFormColor.BackColor = dlgColor.Color
            btnButtonColor.BackColor = dlgColor.Color
        End If
    End Sub
End Class
