﻿Public Class dlgEmployee
    Private Sub btnOk_Click() Handles btnOk.Click
        ' Verify that the first name is present.
        If txtFirstName.Text.Length = 0 Then
            MessageBox.Show(
                "Please enter a First Name",
                "First Name Required",
                MessageBoxButtons.OK,
                MessageBoxIcon.Exclamation)
            txtFirstName.Select()
            Exit Sub
        End If

        ' Verify that the last name is present.
        If txtLastName.Text.Length = 0 Then
            MessageBox.Show(
                "Please enter a Last Name",
                "Last Name Required",
                MessageBoxButtons.OK,
                MessageBoxIcon.Exclamation)
            txtLastName.Select()
            Exit Sub
        End If

        ' Accept the dialog.
        Me.DialogResult = Windows.Forms.DialogResult.OK
    End Sub

    Private Sub btnCancel_Click() Handles btnCancel.Click
        DialogResult = Windows.Forms.DialogResult.Cancel
    End Sub
End Class