﻿Imports System.Diagnostics

Public Class Form1
    Private Sub btnCalculate_Click() Handles btnCalculate.Click
        CalculateEmployeeSalaries()
    End Sub

    Private Sub CalculateEmployeeSalaries()
        CheckVacationPay()
    End Sub

    Private Sub CheckVacationPay()
        ShowCallStack()
    End Sub

    ' Loop through the call stack from the bottom up.
    Private Sub ShowCallStack()
        Dim txt As String = ""

        ' Create a StackTrace object with 
        ' file names and line numbers.
        Dim stack_trace As New System.Diagnostics.StackTrace(True)

        ' Display the frame information.
        For i As Integer = 0 To stack_trace.FrameCount - 1
            With stack_trace.GetFrame(i)
                txt &=
                    "Method: " & .GetMethod().ToString & vbCrLf &
                    "    Line: " & .GetFileLineNumber() & ", " &
                    "File: '" & .GetFileName() & "'" & vbCrLf
            End With
        Next i

        txtResults.Text = txt
        txtResults.Select(0, 0)
    End Sub
End Class
