﻿Imports System.Collections.Specialized

Public Class Form1
    Private Sub Form1_Load() Handles MyBase.Load
        Dim sorted_list As SortedList

        ' Use a normal, case-sensitive SortedList.
        sorted_list = New SortedList
        sorted_list.Add("Sport", "Volleyball")
        sorted_list.Add("sport", "Golf")        ' Okay because Sport <> sport.

        Dim txt As String = "Case Sensitive" & vbCrLf
        For Each key As String In sorted_list.Keys
            txt &= "    " & key & ": " & sorted_list.Item(key) & vbCrLf
        Next key
        txt &= vbCrLf

        ' Use a case-insensitive SortedList.
        sorted_list = CollectionsUtil.CreateCaseInsensitiveSortedList()
        sorted_list.Add("Sport", "Volleyball")

        Try
            sorted_list.Add("sport", "Golf")        ' Error because Sport = sport.
        Catch ex As Exception
            Debug.WriteLine(ex.Message)
        End Try

        txt &= "Case Insensitive" & vbCrLf
        For Each key As String In sorted_list.Keys
            txt &= "    " & key & ": " & sorted_list.Item(key) & vbCrLf
        Next key

        txtResults.Text = txt
        txtResults.Select(0, 0)
    End Sub
End Class
