﻿Imports System.IO

Public Class Form1
    ' Install the ThreadException event handler.
    Private Sub Form1_Load() Handles Me.Load
        AddHandler Application.ThreadException, AddressOf Me.app_ThreadException
    End Sub

    ' Catch a ThreadException event.
    Private Sub app_ThreadException(ByVal sender As Object, ByVal e As System.Threading.ThreadExceptionEventArgs)
        MessageBox.Show("Caught unhandled exception:" &
            vbCrLf & vbCrLf & e.Exception.Message)
    End Sub

    ' Throw an InvalidDataException.
    Private Sub btnThrow_Click() Handles btnThrow.Click
        Throw New InvalidDataException("Bad data! Bad!")
    End Sub

    ' Call the OnThreadException method.
    Private Sub btnOnThreadException_Click() Handles btnOnThreadException.Click
        Application.OnThreadException(New InvalidDataException("Bad data! Bad!"))
    End Sub
End Class
